package birdiesoft.pokeassistant;

import birdiesoft.pokeassistant.enums.GameEnum;

public class Game {
	private int id;
	private GameEnum game;
	private int trainerId;
	private String trainerName;
	
	Game(int id, String game, int trainerId, String trainerName) {
		this.id = id;
		this.game = Enum.valueOf(GameEnum.class, game);
		this.trainerId = trainerId;
		this.trainerName = trainerName;		
	}
	
	public int getId() {
		return id;
	}
	
	public String getGame() {
		return game.toString();
	}

	public String getInfo() {
		return String.format("ID %05d, OT %s", trainerId, trainerName);
	}
}
