package birdiesoft.pokeassistant.enums;

public enum GameEnum {
	Red,
	Blue,
	Yellow,
	Gold,
	Silver,
	Crystal,
	Ruby,
	Sapphire,
	Emerald,
	FireRed,
	LeafGreen,
	Colosseum,
	XD,
	Diamond,
	Pearl,
	Platinum,
	HeartGold,
	SoulSilver,
	Black,
	White;
	
	public int Generation() {
		switch (this) {
		case Red:
		case Blue:
		case Yellow:
			return 1;
		case Gold:
		case Silver:
		case Crystal:
			return 2;
		case Ruby:
		case Sapphire:
		case Emerald:
		case FireRed:
		case LeafGreen:
		case Colosseum:
		case XD:
			return 3;
		case Diamond:
		case Pearl:
		case Platinum:
		case HeartGold:
		case SoulSilver:
			return 4;
		case Black:
		case White:
			return 5;
		default:
			return 0;
		}
	}
	
	public String toShortString() {
		return super.toString();
	}
	
	public String toString() {
		return "Pokémon " + super.toString();
	}
}